/*
 * Rahmenwerk-Plug-in "Konfigurationsassistent"
 *
 * Copyright (C) 2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 *
 * Copyright (c) 2011 SWARCO TRAFFIC SYSTEMS GmbH.
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 *
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Straße
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.buv.plugin.konfigass.assistenten;

/**
 * Model class containing the data for the holiday wizard
 *
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public class KbAnlegenModell {

	private long stand = System.currentTimeMillis();
	private String pid = "";
	private String name = "";
	private String autor = "";
	private String grund = "";
	private String text = "";
	private String info = "";
	private String beschreibung = "";

	@Override
	public String toString() {
		final String separator = System.getProperty("line.separator");
		final StringBuffer result = new StringBuffer(300);

		result.append("KB neu erstellen:");
		result.append(separator);
		result.append(separator);

		result.append("stand: ");
		result.append(stand);
		result.append(separator);

		result.append("autor: ");
		result.append(autor);
		result.append(separator);

		result.append("grund: ");
		result.append(grund);
		result.append(separator);

		result.append("text: ");
		result.append(text);
		result.append(separator);

		result.append("info: ");
		result.append(info);
		result.append(separator);

		result.append("beschreibung: ");
		result.append(beschreibung);

		return result.toString();
	}

	public String getPid() {
		return pid;
	}

	public String getName() {
		return name;
	}

	public void setPid(final String pid) {
		this.pid = pid;
	}

	public void setName(final String name) {
		this.name = name;
	}

	public void setInfo(final String info) {
		this.info = info;
	}

	public void setBeschreibung(final String beschreibung) {
		this.beschreibung = beschreibung;
	}

	public long getStand() {
		return stand;
	}

	public String getAutor() {
		return autor;
	}

	public String getText() {
		return text;
	}

	public String getGrund() {
		return grund;
	}

	public String getInfo() {
		return info;
	}

	public String getBeschreibung() {
		return beschreibung;
	}

	void setAutor(final String autor) {
		this.autor = autor;
	}

	void setGrund(final String grund) {
		this.grund = grund;
	}

	void setText(final String text) {
		this.text = text;
	}

	void setStand(final long stand) {
		this.stand = stand;
	}

}
