/*
 * Rahmenwerk-Plug-in "Konfigurationsassistent"
 *
 * Copyright (C) 2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 *
 * Copyright (c) 2011 SWARCO TRAFFIC SYSTEMS GmbH.
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 *
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Straße
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.buv.plugin.konfigass.assistenten;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

/**
 * Model class containing the data for the holiday wizard
 *
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public class KbEntfernenHinzufuegenModell {

	private String pid = "";
	private String name = "";
	private Map<String, File> list = new HashMap<>();

	public Map<String, File> getList() {
		return list;
	}

	public void setList(final Map<String, File> list) {
		this.list = list;
	}

	@Override
	public String toString() {

		final String separator = System.getProperty("line.separator");
		final StringBuffer result = new StringBuffer(300);

		result.append("KB neu erstellen:");
		result.append(separator);
		result.append(separator);

		result.append("pid: ");
		result.append(pid);
		result.append(separator);

		result.append("name: ");
		result.append(name);
		result.append(separator);

		result.append("list: ");
		result.append(list.size());

		return result.toString();
	}

	public String getPid() {
		return pid;
	}

	public void setPid(final String pid) {
		this.pid = pid;
	}

	public String getName() {
		return name;
	}

	public void setName(final String name) {
		this.name = name;
	}

}
